> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bestinslot.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Bitmap

> Endpoints related to Bitmap.

<Warning>
  **Retired.** These endpoints are no longer served. Run [OPI](https://github.com/bestinslot-xyz/OPI) instead — see the [introduction](/docs/introduction). Kept for historical reference.
</Warning>

Endpoints' API-Key-Tier availabilities are written for each endpoint.

**To use on testnet4/signet, use your current api-key and send the request to `https://testnet.api.bestinslot.xyz` / `https://signet_api.bestinslot.xyz`**

## Get Bitmap Holders

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/holders`

Returns an array with holder information. Each entry has a wallet address and collected inscription ids.

Sample query: [https://api.bestinslot.xyz/v3/bitmap/holders?sort\_by=wallet\_addr\&order=asc\&offset=0\&count=100](https://api.bestinslot.xyz/v3/bitmap/holders?sort_by=wallet_addr\&order=asc\&offset=0\&count=100)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| sort\_by | string | (optional) "wallet\_addr" |
| order | string | (optional) "asc", "desc" |
| offset\* | int | (optional) 0 \<= offset |
| count\* | int | (optional) 20 \<= count \<= 100 |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": [
            {
                "wallet": "12ufzRLA89ZyLPTe6HCUnVGRtdNfr8tYXp",
                "inscription_ids": [
                    "5e7989591908aa5e1874545518b4b2d9ccfbde83f40a94340cc5fbd5d923b981i0",
                    "b5eced1df647a5a55c2753d44dfb8976a5a7c6c0035f68c76c6a96bb60e14700i0",
                    "689616aeeb568d3e93fae34563b2134b81fa46ebc58b32b45b26332b945f8569i0",
                    "c7117a8e524b657b3f37b9d42d7fce5d62a920307e569448131cd3ab9cb2cb43i0",
                    "d9875cf906b853a3204270bbc8f53a8054716ba3ffdc2da4d2a87e77631c473di0"
                ]
            },
            ...
        ],
        "block_height": 795035
    }
    ```
  </Tab>
</Tabs>

## Get Bitmap Inscriptions

*Included in: Basic, Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/inscriptions`

Returns ordered list of bitmap inscriptions.

Sample query: [https://api.bestinslot.xyz/v3/bitmap/inscriptions?sort\_by=inscr\_num\&order=asc\&offset=100\&count=100](https://api.bestinslot.xyz/v3/bitmap/inscriptions?sort_by=inscr_num\&order=asc\&offset=100\&count=100)

<Note>
  last\_sale\_price is only available on Pro Tier.
</Note>

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| sort\_by\* | string | inscr\_num |
| order\* | string | asc, desc |
| offset\* | int | 0 \<= offset |
| count\* | int | 20 \<= count \<= 100 |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": [
            {
                "bitmap_number": 0,
                "inscription_id": "86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0",
                "inscription_number": 10423123,
                "owner_wallet_addr": "bc1p7hf8x2q2zal4v64c2h34qheyz4zk8zgnv767ygkkrd5dhg9zackq4rmvhd",
                "last_transfer_block_height": 792435,
                "genesis_height": 792435,
                "last_sale_price": null,
                "content_url": "https://bis-ord-content.fra1.cdn.digitaloceanspaces.com/ordinals/86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0",
                "bis_url": "https://bestinslot.xyz/ordinals/inscription/86539aff946c437af8088955827b7e6ff48fc6192836d4071b697b5359b7a732i0"
            },
            ...
        ],
        "block_height": 799055
    }
    ```
  </Tab>
</Tabs>

## Get Bitmap Sales Information

*Included in: Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/sales_info`

Returns sales and volume information about bitmaps.

Sample query: [https://api.bestinslot.xyz/v3/bitmap/sales\_infomarketplace\_type=magiceden](https://api.bestinslot.xyz/v3/bitmap/sales_infomarketplace_type=magiceden)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| marketplace\_type | string | Optional parameter to filter only by a given marketplace. You can find the allowed types on Constants Page. |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": {
            "vol_3h": "5582294",
            "vol_6h": "21472011",
            "vol_9h": "34006304",
            "vol_12h": "36548463",
            "vol_1d": "51050633",
            "vol_3d": "91950108",
            "vol_7d": "165391876",
            "vol_30d": "755204897",
            "vol_total": "9207676876",
            "sale_count": 137473,
            "marketplace": "all"
        },
        "block_height": 814057
    }
    ```
  </Tab>
</Tabs>

## Get Bitmap Market Information

*Included in: Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/market_info`

Returns market information like marketcap, listed count, floor price about bitmaps.

Sample query: [https://api.bestinslot.xyz/v3/bitmap/market\_info](https://api.bestinslot.xyz/v3/bitmap/market_info)

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": {
            "listed_count": 31279,
            "floor_price": 73344,
            "floor_price_ordswap": null,
            "floor_price_magiceden": 79560,
            "floor_price_ordinalswallet": 73344,
            "floor_price_gammaio": null,
            "floor_price_ordynals": null,
            "floor_price_unisat": 75375,
            "floor_price_ordinalsmarket": 15000000,
            "floor_price_okx": 76000,
            "supply": 849818,
            "marketcap": 62329051392
        },
        "block_height": 849817
    }
    ```
  </Tab>
</Tabs>

## Get Bitmap Listings

*Included in: Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/listings`

Returns ordered list of listings of bitmaps.

Sample query: [https://api.bestinslot.xyz/v3/bitmap/listings?sort\_by=min\_price\&order=asc\&offset=0\&count=100](https://api.bestinslot.xyz/v3/bitmap/listings?sort_by=min_price\&order=asc\&offset=0\&count=100)

#### Query Parameters

| Name | Type | Description |
| - | - | - |
| sort\_by\* | string | min\_price, ordswap\_price, magiceden\_price, ordinalswallet\_price, gammaio\_price, odynals\_price, unisat\_price, ordinalsmarket\_price, okx\_price |
| order\* | string | asc, desc |
| offset\* | int | 0 \<= offset \<= 5k |
| count\* | int | 20 \<= count \<= 100 |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": [
            {
                "inscription_id": "013dcd2c02ff459aa240a9e3a09d6e0203c9332a3ad691be7297bcb62d635cb4i0",
                "min_price": 30000,
                "ordswap_price": null,
                "magiceden_price": null,
                "ordinalswallet_price": 30000,
                "gammaio_price": null,
                "nostr_price": null,
                "odynals_price": null,
                "unisat_price": null,
                "ordinalsmarket_price": null,
                "okx_price": null,
                "owner_wallet_addr": "bc1p28m2g5rvyjjc2a625thtsv7snv4gpqv9ens5vz5kftx2smhzjn5qawq0fy"
            },
            ...
        ],
        "block_height": 803265
    }
    ```
  </Tab>
</Tabs>

## Get Bitmap Activity

*Included in: Pro, Dedicated*

**`GET`** `https://api.bestinslot.xyz/v3/bitmap/activity`

Returns ordered list of inscribes, sales and transfers of bitmaps.

<Note>
  Use last\_new\_satpoint to continue fetching the activity from where you've left off. new\_satpoint uniquely addresses a single inscription transfer, so by setting order to asc, and last\_new\_satpoint to the latest new\_satpoint value that you've received, you can retrieve the new activities.
</Note>

Sample query: [https://api.bestinslot.xyz/v3/bitmap/activity?activity\_filter=7\&sort\_by=ts\&order=asc\&offset=0\&count=100\&last\_new\_satpoint=cc9f10dda7c6e03637ed8205f33067f6d0b20520bb082f500ea33edd5a10ebc5:2:0](https://api.bestinslot.xyz/v3/bitmap/activity?activity_filter=7\&sort_by=ts\&order=asc\&offset=0\&count=100\&last_new_satpoint=cc9f10dda7c6e03637ed8205f33067f6d0b20520bb082f500ea33edd5a10ebc5:2:0)

#### Query Parameters

| Name | Type | Description | |
| - | - | - | - |
| sort\_by\* | string | ts | |
| order\* | string | asc, desc | |
| offset\* | int | 0 \<= offset \<= 5k | |
| count\* | int | 20 \<= count \<= 100 | |
| activity\_filter\* | int | 1 -> inscribed 2 -> transferred 4 -> sold combine with or operator (e.g. sold & transferred: 2 | 4 = 6) |
| last\_new\_satpoint | string | (optional) use this with offset 0 to continue from a known transfer | |

<Tabs>
  <Tab title="200: OK Success">
    ```json theme={null}
    {
        "data": [
            {
                "inscription_id": "10490d6e63cdced2810011dcbb0952e26ca7a7bc609167487b76f567306dbfd5i0",
                "from_wallet": "bc1pn4zg6zwk256tlhgkxlj2jn6khnrtuynafw9cz6lrp6wvgmywkmusn6m8xd",
                "to_wallet": "bc1p4kdgatpw9sdawnjzt206yyu33uhxnfpnv476td8m0tt8rznnvxkqk49rvh",
                "block_height": 814057,
                "sale_price": 21242,
                "new_satpoint": "31226b1ea0acc7a46ff7b1a86745e88dab759deaf50836b62d044d5f17801bad:1:0",
                "ts": "2023-10-27T11:47:28.000Z",
                "marketplace_type": "magiceden",
                "tx_id": "31226b1ea0acc7a46ff7b1a86745e88dab759deaf50836b62d044d5f17801bad"
            },
            ...
        ],
        "block_height": 795035
    }
    ```
  </Tab>
</Tabs>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.